Barth
Netterfield

    kst@kde.org

Rick
Chern

    kst@kde.org

2004
La Universidad de British Columbia

# El tutorial de &kst;

## Bienvenido

¡Bienvenido a &kst;! En pocos minutos, estará listo para explorar las ricas características de este paquete de manipulación y dibujo de datos. Aquí están algunas de las tareas que puede acometer utilizando &kst;:

- Dibujar rápidamente diferentes gráficos utilizando solo la línea de órdenes.

- Analizar datos utilizando un amplio conjunto de herramientas incluyendo histogramas, espectros de potencia y ecuaciones personalizadas.

- Ampliar y reducir sin esfuerzo las áreas que considere interesantes utilizando el ratón o el teclado.

- Monitorizar los datos transmitidos utilizando las capacidades de dibujo de &kst; en tiempo real.

Este tutorial cubre la instalación básica, ejecución y trabajo con &kst;. Está basado en la guía rápida de &kst; de Barth Netterfield. Está invitado a investigar con más profundidad cualquiera de las características en cualquier momento.

## Iniciar &kst; desde la línea de órdenes

Un uso habitual de &kst; es generar rápidamente gráficos de datos desde la línea de órdenes. Este método de generar gráficos no necesita de grandes conocimientos de la interfaz gráfica de usuario de &kst;, produciendo resultados inmediatos.

Este tutorial utiliza un paquete de datos de demostración que está instalado junto con &kst; en `$`KDEDIR`/share/apps/kst/tutorial`, dónde `$`KDEDIR`` es la ubicación en la que se instaló &kde; en su sistema (puede encontrar este valor utilizando la orden `kde-config --prefix`).

Si tiene una versión de &kst; anterior a la 1.1.0, puede encontrar los datos del tutorial en http://omega.astro.utoronto.ca/kst/tutorial/kst_tutorialdata.tgz. Descargue y descomprima el paquete, y a continuación vaya al directorio resultante:

    tar -zxvf kst_tutorialdata.tgz
    cd kst_tutorialdata

Para obtener una vista general de todas las opciones disponibles en la línea de órdenes para &kst;, teclee:

    kst --help

Se mostrará una descripción de la sintaxis y una lista de órdenes similar a la siguiente:

    Uso: kst [Opciones de Qt] [Opciones de KDE] [opciones] [Archivos]

    Kst: un programa para ver datos.

    Opciones genéricas:
      --help                    Muestra ayuda sobre las opciones
      --help-qt                 Muestra las opciones específicas de Qt
      --help-kde                Muestra las opciones especificas de KDE
      --help-all                Muestra todas las opciones
      --author                  Muestra información del autor
      -v, --version             Muestra información de la versión
      --license                 Muestra información de la licencia
      --                        Fin de las opciones

    Opciones:
      -F <dataFile>             Especifica el archivo de datos: utilizado para sobreescribir el archivos predeterminado de kst [|]
      -y <Y>                    Campo para el eje Y (se permiten varios)
      --ye <equation>           Ecuación para el eje Y (se permiten varias)
      -e <E>                    Campo para los errores del eje Y (se permiten varias)
      -x <X>                    Campo para el rango del eje X [INDEX]
      --xe <X>                  Vector X para las ecuaciones x0:x1:n [INDEX]
      -p <Y>                    Campo para el espectro de potencia (se permiten varias)
      -h <Y>                    Campo para el histograma (se permiten varias)
      -r <f>                    Tasa de muestra del espectro de potencia [60.0]
      --ru <U>                  Unidades para el ratio de muestra psd [Hz]
      --yu <U>                  Unidades para los vectores y [V]
      -l <P>                    La longitud de los FFTs es 2^P [10]
      -f <F0>                   Primera estructura a leer [-2]
      -n <NS>                   Número de estructuras a leer [-2]
      -s <NS>                   Número de estructuras a ignorar en cada lectura [-1]
      -a                        Aplicar el filtro boxcar antes de ignorar las estructuras
      -m <NC>                   Separar gráficos ordenados en <NC> columnas
      -d                        Mostrar como puntos en lugar de como curvas
      -g                        Proporciona un cuadro con la leyenda
      --print <file>            Imprime en un archivo y sale [<none>]
      --png <file>              Guarda como un archivo png y sale [<none>]

    Argumentos:
      Archivos                 Archivos de datos (si se ha utilizado -y) o archivos *.kst

Las opciones específicas de &kst; se listan en la sección `Opciones`. Siempre que sea adecuado utilice los valores predeterminados que son los que están entre corchetes al final de la descripción de la opción. Éstos valores serán los utilizados por cualquier opción no especificada.

En primer lugar echaremos un vistazo al archivo ASCII `gyrodata.dat`, incluído en el paquete de demostración. Los archivos ASCII son uno de los muchos tipos de archivos que &kst; puede leer. En los archivos ASCII, los datos se colocan en columnas, correspondiendo cada columna a un campo, y los números de la columna (comenzando con el 1, de izquierda a derecha) corresponden a los nombre del campo. Éste archivo en particular contiene 3 columnas, y sus nombres serán 1, 2 y 3. Para dibujar un gráfico de la primera columna, teclee:

    kst -y 1 gyrodata.dat

Se dibujarán todos los datos de la primera columna:

Tenga en cuenta que no se especifica campo para el eje X del gráfico, de forma que &kst; utiliza el vector INDEX predeterminado, tal y como era de esperar. El vector INDEX es un vector especial de &kst; que contiene valores enteros desde 0 hasta N-1, donde N es el número de datos del correspondiente vector del eje Y. Cierre &kst; seleccionando Salir del menú Archivo, o tecleando Ctrl Q.

`gyrodata.dat` contiene 20.000 estructuras, por tanto solo deseará ver una parte de los mismas. Para dibujar solo 10.000 comenzando desde aquella que hace el número 7.000, teclee:

    kst -y 1 -f 7000 -n 10000 gyrodata.dat

Una de las potencialidades de &kst; es la capacidad de dibujar datos en tiempo real. Imagine que se deben añadir continuamente datos nuevos al final de `gyrodata.dat`. En este escenario, sería práctico dibujar solo los puntos más recientes de los datos. Para dibujar solo las últimas 10.000 estructuras de `gyrodata.dat`, introduzca lo siguiente:

    kst -y 1 -n 10000 gyrodata.dat

Si `gyrodata.dat` se actualizase, el gráfico se desplazaría continuamente, mostrando solo las últimas 10.000 estructuras.

En lugar de leer directamente un archivo de entrada, &kst; puede utilizar datos ASCII desde la fuente de datos de la entrada estándar. Para especificar la entrada estándar como una entrada, introduzca `stdin` con uno de los nombres de los archivos. Existen muchos usos de esta capacidad, como utilizar &kst; como parte de una secuencia de «tuberías»:

    cat gyrodata.dat | awk '{print $1 + 2}' | kst -y 1 stdin

La orden anterior utiliza `awk` para añadir 2 a la columna uno de `gyrodata.dat` antes de enviar el resultado a &kst;.

Tenga en cuenta que la descripción de la opción `y` indica que se permiten varias instancias de la opción. Ésto permite dibujar rápidamente más de una curva, e incluso más de una gráfico. Para dibujar los tres campos de `gyrodata.dat` en gráficos separados, introduzca lo siguiente:

    kst -y 1 -y 2 -y 3 -m 1 gyrodata.dat

La opción `m` especifica que se deben utilizar gráficos separados en lugar de un solo gráfico, tal y como se muestra a continuación:

## Una introducción rápida al asistente de datos

Aunque el uso de &kst; desde la línea de órdenes es rápido, pueden existir situaciones en las que sea sencillo importar datos desde el interfaz gráfico de usuario (por ejemplo, si ya tuviera abierto —con otros datos cargados—). O, simplemente puede preferir utilizar la interfaz gráfica de usuario. Familiarizarse con ambos métodos de importación de datos le permitirá hacer un uso más eficiente de &kst;.

El asistente de datos proporciona una forma rápida y sencilla de crear vectores, curvas y gráficos en &kst; a partir de los datos de los archivos. Para iniciar el asistente, seleccione Asistente de datos... desde el menú Datos o pulse el botón en la barra de herramientas. Se le pedirá que seleccione una fuente de datos. Navegue hasta el archivo `gyrodata.dat` utilizado en los ejemplos de la línea de órdenes y pulse Siguiente. Se mostrará la siguiente ventana:

Pantalla 2 del asistente de importación de datos
Pantalla 2 del asistente de importación de datos

Los campos disponibles en `gyrodata.dat` se listan en la parte izquierda. Puede filtrar la lista de campos resaltados introduciendo un texto (también están soportados los comodines, como `*`) en el cuadro de texto situado sobre la lista. Marque las casillas para los campos de las casillas 1, 2 y 3.

La sección Rango de datos se utiliza para especificar el rango de datos que se leerán de los vectores seleccionados en el archivo de entrada. La siguiente explicación asume el conocimiento de las «estructuras». En resumen, una estructura solo es un número de muestras de datos, y cada uno de los archivos de datos está formado por una serie de estructuras. Para obtener una descripción de este concepto, consulte .

Inicio, Contador de fin, Rango y Leer hasta el final

  Utilizando estas cuatro configuraciones, podrá definir los límites superior e inferior del rango de datos. Como ejemplo, seleccione Contador de fin e introduzca 10.000 en Rango para leer solo las 10.000 últimas estructuras. Si `gyrodata.dat` se hubiera actualizado en tiempo real, los siguientes datos se añadirían al final del archivo.

Leer 1 muestra por N estructuras y Primer filtro Boxcar

  Además de los límites superior e inferior, se pueden establecer las muestras a leer del rango seleccionado. Si Leer 1 muestra cada N estructuras (donde N es el valor introducido) no está seleccionado, se leerán todas las muestras. Además, las estructuras en cada archivo de datos pueden ignorarse seleccionando Leer 1 muestra cada N estructuras. Por el momento, no seleccione Leer 1 muestra cada N estructuras.

La configuración del espectro de potencia y del eje X pueden especificarse en la sección Tipos de gráfico.

XY, Espectro de potencia, y Espectro de potencia y XY

  Seleccione Espectro de potencia y XY para generar gráficos de los dos datos y del espectro de potencia. Para obtener más información de las opciones disponibles para el espectro de potencia, consulte .

Vector del eje X

  El vector que se utilizará como vector independiente para los gráficos. Puede seleccionar un campo de un archivo de datos, o el vector INDEX. Como `gyrodata.dat` no contiene un vector para el eje X, deje la selección en INDEX.

La subsección Opciones FFT en la sección Tipos de gráfico está disponible solo si se va a dibujar un espectro de potencia. Este tutorial no tratará los detalles del espectro de potencia, por tanto utilice las configuraciones predeterminadas para esta subsección.

Una vez que esté satisfecho con toda la configuración, pulse Siguiente para avanzar hasta la siguiente ventana.

Pantalla 3 del asistente de importación de datos
Pantalla 3 del asistente de importación de datos

Desde aquí, puede cambiar la configuración general del gráfico. La mayor parte de los elementos de la configuración son auto explicativos. Seleccione 1 punto nuevo por curva para Situar curva y En nueva ventana para Situar gráfico. Ésto colocará los seis puntos (tres curvas y tres espectros de potencia) en la misma ventana.

Una vez que esté satisfecho con todas las configuraciones, pulse Finalizar y se generarán los gráficos:

Los gráficos generados
Los gráficos generados

Generar estos gráficos dará un poco de trabajo, por ello, podemos guardar la sesión actual de &kst; (se utilizará en la siguiente sección de este tutorial). Seleccione Guardar como... del menú Archivo, y guarde la sesión como `misesiónkst.kst`:

Guardar una sesión de KST
Guardar una sesión de KST

Guardar una sesión de &kst; guardará todos los gráficos, objetos de datos (luego veremos esto), y distribuciones que ya existan en el momento de la grabación.

Una vez que se haya guardado el archivo, podrá salir de &kst;.

## Las bases de la manipulación de los gráficos

Ahora que ya está cómodo creando gráficos en &kst;, podemos explorar algunas de las características de manipulación de gráficos utilizando la interfaz gráfica de usuario de &kst;. Inicie &kst; desde la línea de órdenes con el archivo `misesiónkst.kst` que guardó antes:

    kst misesiónkst.kst

Se cargarán en &kst; todos los puntos que creó antes. Examine en el gráfico la etiqueta `PSD [V/Hz^{1/2}]` en el eje y. Para ver más de cerca el gráfico, pulse con el botón derecho sobre él y seleccione el elemento de menú Maximizar, tal y como se muestra a continuación:

Maximizar un gráfico
Maximizar un gráfico

Ahora el gráfico estará maximizado en la ventana actual. Observe la x en la parte superior de este gráfico que está prácticamente plana, por tanto debería ser práctico ver solo el área del gráfico que resulte interesante. Para hacer esto, asegúrese de que está en el modo Ampliación del ratón XY (seleccione Ampliación del ratón XY en el menú Gráficos, o pulse el botón de la barra de herramientas). A continuación, dibuje un rectángulo sobre el área que sea de su interés. Tenga en cuenta que las coordenadas del cursor del ratón se mostrarán en la esquina inferior derecha de la ventana de &kst; (sino, asegúrese que Mostrar barra de estado está marcado en el menú Preferencias).

Los ejes del gráfico cambiarán para «ampliar» el área seleccionada del gráfico. Verá que existe un pico en el lado izquierdo del espectro de potencia que se extiende más allá del nuevo límite del eje y superior. Imagine que desea ver la parte superior de este pico. Pulse con el botón derecho en este gráfico y seleccione Arriba en el submenú Desplazamiento. Los gráficos deberían desplazarse hacia arriba. Por supuesto, es mucho más sencillo utilizar la tecla de acceso rápido asociada con el elemento del menú. Ésto es correcto para la mayor parte de las funciones de ampliación y desplazamiento. En este caso, el acceso rápido es Flecha arriba, por tanto, la forma más rápida de desplazarse hacia arriba es mantener pulsada la tecla Flecha arriba. Para volver a la ampliación máxima en cualquier momento, pulse con el botón derecho en el gráfico y seleccione Ampliación máxima en el submenú Ampliar (o teclee M, el acceso rápido asociado con Ampliación máxima).

Restaure el tamaño del gráfico del espectro de potencia pulsando con el botón derecho y quitando la marca a Maximizar.

Ahora vea los gráficos con los ejes y etiquetados como `Columna 2` y `Columna 3`. Éstos son gráficos del giroscopio de inclinación y desplazamiento, respectivamente, del vuelo BOOMERANG de 1998. Como estos dos gráficos están relacionados, puede ser práctico ampliarlos y desplazarlos simultáneamente. Pulse en los cuadrados situados en la esquina superior derecha de los dos gráficos. Debería oscurecerse para indicar que los dos gráficos están relacionados entre sí:

Ampliación vinculada
Ampliación vinculada

Antes de intentar realizar la ampliación, deberíamos borrar todos los demás gráficos con los que no estemos trabajando. Seleccione Modo de distribución en el menú Gráficos o pulse el botón de la barra de herramientas. Para cada gráfico que no sea los dos que necesitamos, pulse con el botón derecho en el gráfico y seleccione Borrar. A continuación pulse con el botón derecho en la ventana actual y seleccione Limpiar distribución. Ahora los dos gráficos deberían compartir el máximo espacio dentro de la ventana. Vuelva al modo Ampliación del ratón XY cuando haya terminado.

Ahora intentaremos ampliar una parte del gráfico superior. Verá que el gráfico inferior se vuelve blanco. Ésto se debe a que el gráfico inferior ha cambiado para coincidir con el gráfico superior, y no hay datos en esta región en particular del gráfico inferior. Teclee M mientras el cursor del ratón está sobre un gráfico para volver a la ampliación máxima de ambos gráficos. Ahora mantenga pulsada la tecla Ctrl (es equivalente a seleccionar Modo de ampliación del ratón X en el menú Gráficos o pulsar el botón en la barra de herramientas). El cursor del ratón cambiará su forma para dar información visual. Mientras mantiene pulsada la tecla Ctrl, dibuje un rectángulo en el gráfico superior. Tenga en cuenta que la altura del rectángulo está restringida y por eso solo se ampliará el eje x. Ahora ambos gráficos mostrarán los datos que se ampliaron, ya que el eje y no se alteró.

Puede vincular o desvincular todos los gráficos de una ventana seleccionando Ampliación vinculada desde el menú Gráficos o pulsando el botón de la barra de herramientas.

Cuando haya terminado de experimentar con las características de ampliación, puede cerrar &kst;. En este momento no necesitaremos guardar los gráficos (a menos que lo desee).

## Una breve introducción a los objetos de datos

&kst; sirve para más cosas que para dibujar y ver gráficos de datos. Desde el asistente de datos, ya vió que &kst; puede crear espectros de potencia de los datos. En efecto, &kst; también puede crear otros objetos de datos como histogramas, ecuaciones y extensiones. Una utilidad llamada Administrador de datos puede ayudarle a registrar todos los objetos de datos que cree.

Inicie &kst; con el archivo `demo.kst`, incluído en el paquete de demostración:

    kst demo.kst

Kst con demo.kst
Kst con demo.kst

Esta sesión de &kst; contiene vectores y otros objetos de datos creados a partir de los datos de `gyrodata.dat`. El gráfico superior contiene los datos del acimut, el gráfico central muestra la inclinación en azul, y el inferior muestra el espectro de potencia de los datos de la inclinación en azul. Veamos los gráficos más de cerca. Vincule los dos gráficos superiores utilizando las técnicas que aprendió en la sección anterior. A continuación mantenga pulsada la tecla Ctrl para entrar en el modo de Ampliación del ratón X. Ahora amplie una región pequeña del gráfico superior (digamos entre 50.000 y 53.000), para hacer que los dos gráficos vinculados se amplíen. Verá que la curva de inclinación en azul está correlacionada negativamente con la curva del acimut en rojo. Ésto se debe a que el giroscopio de inclinación está ligeramente girado respecto al acimut del eje (por -0,69 grados). La inclinación real `p'` es: donde `p` es la inclinación original, es la rotación del giroscopio de inclinación en relación con el eje del acimut, y `a` es el giroscopio del acimut. `p'` se dibuja como una curva en negro en el gráfico central. El espectro de potencia `p'` es la curva negra en el gráfico inferior.

Ahora veamos cómo se crean los tres gráficos. Para mostrar el Administrador de los datos, seleccione Administrador de datos... en el menú Datos, o pulse el botón de la barra de herramientas:

El administrador de datos
El administrador de datos

El administrador de datos contiene la lista definitiva de los objetos de datos de la sesión actual de &kst;. También le permite editar o crear nuevos objetos de datos. Como puede ver, hay listadas seis curvas (cada una creada a partir de un par de vectores), una ecuación, dos espectros de potencia y cuatro vectores de datos. Pulse con el botón derecho sobre C2-GY_PITCH y seleccione W1-P1 en el submenú Eliminar del gráfico. Ésto eliminará la curva del gráfico P1 en la ventana W1. Elimine también C-PSD2-V3-GY_PITCH del gráfico P3 en la ventana W1 utilizando el mismo procedimiento. Ahora solo deberían mostrarse las curvas correctas en los gráficos:

Sólo las curvas correctas
Sólo las curvas correctas

Para ver cómo se creó el giroscopio de inclinación, resalte C4-cleaned_pitch y pulse el botón Editar. Debería mostrarse el diálogo de edición de la ecuación:

Editar ecuación
Editar ecuación

Observe que la ecuación utilizada para calcular `p'` se introdujo en el cuadro de texto Ecuación (se utilizó una aproximación de 1 para `cos(-0,69)`). Pulse el botón Aceptar (para guardar los cambios hechos) o Cancelar cuando haya terminado.

Observe que todos los objetos de datos tienen un número situado bajo la columna # Usado. Este número indica el número de veces que el objeto de datos es utilizado por otros objetos de datos o gráficos. Como se eliminaron una curva y un espectro de potencia, al menos dos objetos de datos deberían tener 0 en esta columna. Pulse Eliminar para eliminar de forma permanente todos los objetos que no se usen.

Pulse Cerrar para cerrar el Administrador de datos. Cuando haya terminado puede salir de &kst;.

## Un vistazo a las extensiones y eventos

Para terminar este viaje por &kst; veremos dos tipos de datos específicos: las extensiones y los monitores de eventos.

Una extensión es un objeto de datos flexible cuyo comportamiento depende del archivo de extensiones específico seleccionado. El archivo de extensión puede ser uno de los incluídos con la distribución estándar de &kst;, o puede ser un archivo de extensión creado por terceros. Puede encontrar instrucciones para crear y compilar archivos personalizados de extensiones en . Las extensiones permiten a &kst; realizar operaciones arbitrarias con un conjunto de datos, ya que el único requisito para un archivo de extensión es que reciba un conjunto de vectores de entrada y escalares, y de como resultado un conjunto de vectores y escalares.

Como ejemplo, intentaremos ajustar un línea sencilla a un pequeño conjunto de puntos de datos. Inicie &kst; con un gráfico del primer campo de los datos del archivo `maxima.dat` incluído en el paquete de demostración:

    kst -y 1 -d maxima.dat

La opción `d` especifica que solo deberían dibujarse los puntos, no las líneas. Ahora se mostrara el gráfico de los puntos de datos:

Gráfico de los puntos de datos
Gráfico de los puntos de datos

Ahora, abra el Administrador de datos. Pulse Extensión... en la sección Nuevo para crear un objeto de extensión nuevo. En Selecionar extensión, seleccione la extensión Ajuste lineal. Esta extensión en particular necesita dos vectores de entrada: uno conteniendo los valores x y otro conteniendo los valores y de los puntos de datos que se van a ajustar. Seleccione INDEX para el Vector de entrada - Matriz X, y 1 para Vector de entrada - Matriz Y. A continuación pulse Aceptar. Verá que la nueva extensión creó vectores esclavos para guardar las salidas. Pulse en Curva... para crear una curva nueva a partir de los vectores de salida. Seleccione V1-INDEX para Vector del eje X y P1-kstfit_linear_unweighted-Y Fitted para Vector del eje Y. Deseamos situar la curva en la parte superior de los puntos de datos en el gráfico existente, así que en Colocar curva, seleccione Colocar en el gráfico existente y quite la selección en Colocar en gráfico nuevo. Finalmente, pulse Aceptar para crear la curva. Cierre el administrador de datos para ver la línea ajustada:

Línea ajustada
Línea ajustada

Un procedimiento similar al que acaba de seguir le permitirá crear y dibujar gráficos del resultado de cualquier tipo de objeto. Sin embargo, existe un acceso rápido para crear extensiones de ajuste. Pulse con el botón derecho en un gráfico, de forma que se muestre un menú contextual, que contendrá un submenú Ajustar.... Seleccionando una curva del submenú se mostrará el diálogo de ajuste de la función con los vectores x e y preseleccionados. Después de seleccionar la extensión de ajuste, pulsar el botón Aceptar creará el objeto de la extensión, creando la curva a partir de la salida de la extensión y colocando la curva en el gráfico existente.

Echemos un vistazo a los eventos. Los objetos de los eventos suelen monitorizar otros vectores o escalares y realizar las acciones especificadas cuando se den ciertas condiciones con estos vectores o escalares. Pulse Monitor de eventos... en la sección Nuevo del Administrador de datos para crear un evento nuevo:

Monitor de evento
Monitor de evento

Imagine que los datos del giroscopio de inclinación se actualizasen en tiempo real, y lo que deseamos es que se nos avise cuando el giroscopio de inclinación se saliese del intervalo `[-0,60, -0,40]` Para configurar el evento de esta forma, introduzca lo siguiente en el cuadro de texto Expresión:

`[C4-cleaned_pitch-sv]>(-0.40) | [C4-cleaned_pitch-sv]<(-0.60)`

Tenga en cuenta que todo lo que se introduzca debe ser una expresión lógica. Ésta expresión en particular será verdadera si cualquiera de las dos desigualdades es verdadera. Seleccione Registrar como y Notificar, e introduzca su dirección de correo electrónico en la parte derecha del cuadro de texto Notificación. Pulse Aceptar y se creará el evento.

Ahora seleccione Depurar Kst... en el menú Ayuda. Pulse la pestaña Registro para ver el registro de depuración. Si el evento estuviera configurado correctamente, debería ver un aviso indicando que los valores de x para los que se inició el evento. Verifique que los valores coinciden aproximadamente con los que esperaría ver en el gráfico:

Registro de depuración
Registro de depuración

Si los datos del giroscopio de inclinación se actualizasen en tiempo real, el monitor de evento se iniciaría para cualquier dato nuevo cada vez que se necesitase.

Una vez que lo haya hecho, puede cerrar &kst;.

## Conclusión

Aquí concluye este tutorial de &kst;. Esperamos que haya ganado conocimientos suficientes para sentirse cómodo con &kst;. Piense que este tutorial no cubre todas las funcionalidades de &kst;: hay mucho que explorar y experimentar. El resto de este manual es una guía en profundidad sobre los conceptos que van desde los fundamentos de la disposición de la ventana hasta la creación de extensiones personalizadas y los lectores de fuentes de datos. Le invitamos a utilizar &kst; de formas interesantes e innovadoras: encontrará no obstante que no solo se corresponde con sus necesidades, sino que excede sus necesidades y requerimientos.